Bug 845965 - severe screen corruption and missing mouse pointer - nouveau issue GRAPH_TRAP_TPDMA_2D
severe screen corruption and missing mouse pointer - nouveau issue GRAPH_TRAP...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 06:13 EDT by Jurgen Kramer
Modified: 2014-02-05 07:03 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:02:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot, looks better then actual screen output (640.62 KB, image/png)
2012-08-06 06:21 EDT, Jurgen Kramer
no flags Details
dmesg output from 3.6.0-1 (Fedora 18 Beta TC1 Desktop Live) (91.62 KB, text/plain)
2012-10-03 11:18 EDT, Jurgen Kramer
no flags Details
dmesg output from 3.6.7-5 (Fedora 18 Beta) - with nouveau problems (83.02 KB, text/plain)
2012-11-30 14:06 EST, Jurgen Kramer
no flags Details
dmesg output from 3.6.7-5 (Fedora 18 Beta) - without problems (70.27 KB, text/plain)
2012-11-30 14:06 EST, Jurgen Kramer
no flags Details
dmesg from MacBookPro5,5, running 3.11.10-300.fc20.x86_64 (129.30 KB, text/plain)
2013-12-03 17:21 EST, Christian Kujau
no flags Details
/var/log/messages from MacBookPro5,5, running 3.11.10-300.fc20.x86_64 (103.91 KB, application/x-xz)
2013-12-03 17:22 EST, Christian Kujau
no flags Details
dmesg from MacBookPro5,5, running 3.11.10-300.fc20.x86_64 (124.38 KB, text/plain)
2013-12-03 17:26 EST, Christian Kujau
no flags Details

  None (edit)
Description Jurgen Kramer 2012-08-06 06:13:17 EDT
Description of problem:
With kernel-3.5.0-2

Version-Release number of selected component (if applicable):
kernel-3.5.0-2.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. Boot system in graphical mode
2.
3.
  
Actual results:
Login background picture is repeating itself, there is no mouse pointer

Expected results:
Normal background, mouse pointer

Additional info:
When booting with kernel 3.4.6-2 everything works as expected. With 3.5.0-2 dmesg shows the following nouveau errors:

Aug  6 09:09:40 mba dbus[653]: [system] Successfully activated service 'org.freedesktop.colord-sane'
Aug  6 09:09:41 mba kernel: [   37.332521] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 0021268000
Aug  6 09:09:41 mba kernel: [   37.332527] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000010, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332531] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332537] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x060c data 0x00000030
Aug  6 09:09:41 mba kernel: [   37.332546] [drm] nouveau 0000:02:00.0: VM: trapped read at 0x00413f1100 on ch 2 [0x00000c60] PGRAPH/TEXTURE/00 reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332561] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 0021268000
Aug  6 09:09:41 mba kernel: [   37.332565] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000010, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332568] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332572] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x08dc data 0x00000000
Aug  6 09:09:41 mba kernel: [   37.332580] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x0021268000 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332595] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 0021268000
Aug  6 09:09:41 mba kernel: [   37.332598] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000010, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332601] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332605] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x060c data 0x00000030
Aug  6 09:09:41 mba kernel: [   37.332613] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x002126a000 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332627] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 002126a000
Aug  6 09:09:41 mba kernel: [   37.332630] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000000, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332633] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332637] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x0860 data 0x00000000
Aug  6 09:09:41 mba kernel: [   37.332645] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x002126a100 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332659] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 002126a100
Aug  6 09:09:41 mba kernel: [   37.332662] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00060002, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332665] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332669] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x0860 data 0x00000000
Aug  6 09:09:41 mba kernel: [   37.332677] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x002126a300 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332691] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 002126a300
Aug  6 09:09:41 mba kernel: [   37.332694] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 000c0002, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332697] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332701] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x0860 data 0x00000000
Aug  6 09:09:41 mba kernel: [   37.332709] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x002126a400 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332723] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 002126a400
Aug  6 09:09:41 mba kernel: [   37.332726] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00120004, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332729] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332733] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x0860 data 0xff000000
Aug  6 09:09:41 mba kernel: [   37.332742] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x002126a600 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332755] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 002126a600
Aug  6 09:09:41 mba kernel: [   37.332758] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00180006, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332761] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332765] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x0860 data 0xff000000
Aug  6 09:09:41 mba kernel: [   37.332774] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x002126a700 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332788] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 002126a700
Aug  6 09:09:41 mba kernel: [   37.332791] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 001e0006, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332794] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332798] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x0860 data 0xff000000
Aug  6 09:09:41 mba kernel: [   37.332806] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x002126a900 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332820] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 002126a900
Aug  6 09:09:41 mba kernel: [   37.332823] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00240008, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332826] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332830] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x0860 data 0xff000000
Aug  6 09:09:41 mba kernel: [   37.332838] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x002126aa00 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:41 mba kernel: [   37.332852] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 002126aa00
Aug  6 09:09:41 mba kernel: [   37.332855] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 002a0008, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332858] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332862] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x024c data 0x00000030
Aug  6 09:09:41 mba kernel: [   37.332882] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 0021268000
Aug  6 09:09:41 mba kernel: [   37.332885] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000010, e20: 00000011, e24: 0c3300
00
Aug  6 09:09:41 mba kernel: [   37.332888] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
Aug  6 09:09:41 mba kernel: [   37.332892] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x08dc data 0x00000000
Aug  6 09:09:41 mba kernel: [   37.332900] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x0021268000 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Aug  6 09:09:42 mba goa[1200]: goa-daemon version 3.4.2 starting [main.c:112, main()]
Aug  6 09:09:46 mba dbus-daemon[653]: ** Message: No devices in use, exit


System: Apple Macbook Air 3,1 EFI mode
Comment 1 Jurgen Kramer 2012-08-06 06:21:04 EDT
Hmm, forgot to finish the problem description...

When booting in graphical mode (gnome3) the login screen looks normal but there is no mouse pointer. After loggin in the screen is corrupted.
dmesg shows nouveau problems.

Screenshot attached. The screenshot itself is actually less garbled then what is actually on the screen (which is much worse).
Comment 2 Jurgen Kramer 2012-08-06 06:21:47 EDT
Created attachment 602477 [details]
screenshot, looks better then actual screen output
Comment 3 Jurgen Kramer 2012-08-10 07:38:32 EDT
It seems kernel-3.5.1-1 (and/or some or updates) fixed the problem. No more screen corruption, mouse pointer works as aspected.
Only one thing of notice in the logs:

[    8.892771] [drm] nouveau 0000:02:00.0: PGRAPH - DATA_ERROR INVALID_VALUE
[    8.892780] [drm] nouveau 0000:02:00.0: PGRAPH - DATA_ERROR
[    8.892787] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 7 class 0x8697 mthd 0x16b0 data 0x00000000
Comment 4 Jurgen Kramer 2012-08-12 08:53:29 EDT
I spoke too soon. Doing a (real) cold boot still gives the screen corruption and the missing mouse pointer. Rebooting does not improve the situation. 

When booting to an older kernel which does not suffer from these issues and then rebooting to 3.5.1 after that also gives a workable situation. This could point to the newer driver not doing a proper init of the GPU?

Below all the nouveau related dmesg output from 3.5.1:

[    1.756292] nouveau 0000:02:00.0: enabling device (0006 -> 0007)
[    1.756938] nouveau 0000:02:00.0: setting latency timer to 64
[    1.756963] [drm] nouveau 0000:02:00.0: Detected an NV50 generation card (0x0af100a2)
[    1.758819] fb: conflicting fb hw usage nouveaufb vs EFI VGA - removing generic driver
[    1.766121] [drm] nouveau 0000:02:00.0: Checking PRAMIN for VBIOS
[    1.826058] [drm] nouveau 0000:02:00.0: ... appears to be valid
[    1.826060] [drm] nouveau 0000:02:00.0: Using VBIOS from PRAMIN
[    1.826063] [drm] nouveau 0000:02:00.0: BIT BIOS found
[    1.826066] [drm] nouveau 0000:02:00.0: Bios version 70.89.13.00
[    1.826069] [drm] nouveau 0000:02:00.0: TMDS table version 2.0
[    1.826406] [drm] nouveau 0000:02:00.0: MXM: no VBIOS data, nothing to do
[    1.826409] [drm] nouveau 0000:02:00.0: DCB version 4.0
[    1.826413] [drm] nouveau 0000:02:00.0: DCB outp 00: 040001b6 0f220010
[    1.826415] [drm] nouveau 0000:02:00.0: DCB outp 01: 020112a6 0f220010
[    1.826418] [drm] nouveau 0000:02:00.0: DCB outp 02: 02011262 00020010
[    1.826419] [drm] nouveau 0000:02:00.0: DCB conn 00: 00002047
[    1.826422] [drm] nouveau 0000:02:00.0: DCB conn 01: 00101146
[    1.826428] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 0 at offset 0x6A0C
[    1.949524] [drm] nouveau 0000:02:00.0: 0x6CC8: Condition still not met after 20ms, skipping following opcodes
[    1.949547] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 1 at offset 0x6E7D
[    1.949551] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 2 at offset 0x6E7F
[    1.949561] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 3 at offset 0x6EB4
[    1.949573] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table 4 at offset 0x6F78
[    1.949577] [drm] nouveau 0000:02:00.0: Parsing VBIOS init table at offset 0x6FDD
[    1.969586] [drm] nouveau 0000:02:00.0: 0x6FDD: Condition still not met after 20ms, skipping following opcodes
[    2.138592] [drm] nouveau 0000:02:00.0: Detected 256MiB VRAM (DDR1)
[    2.138594] [drm] nouveau 0000:02:00.0: Stolen system memory at: 0x00af000000
[    2.140882] [drm] nouveau 0000:02:00.0: 512 MiB GART (aperture)
[    3.559524] [drm] nouveau 0000:02:00.0: 4 available performance level(s)
[    3.559535] [drm] nouveau 0000:02:00.0: 0: core 405MHz shader 405MHz memory 405MHz voltage 900mV
[    3.559543] [drm] nouveau 0000:02:00.0: 1: core 450MHz shader 810MHz memory 450MHz voltage 900mV
[    3.559550] [drm] nouveau 0000:02:00.0: 2: core 450MHz shader 810MHz memory 450MHz voltage 900mV
[    3.559558] [drm] nouveau 0000:02:00.0: 3: core 450MHz shader 950MHz memory 450MHz voltage 900mV
[    3.559564] [drm] nouveau 0000:02:00.0: c: core 405MHz shader 810MHz
[    3.572506] [drm] nouveau 0000:02:00.0: MM: using COPY for buffer copies
[    3.632072] [drm] nouveau 0000:02:00.0: allocated 1366x768 fb: 0x2a0000, bo ffff880135028800
[    3.632186] fbcon: nouveaufb (fb0) is primary device
[    3.670878] fb0: nouveaufb frame buffer device
[    3.670886] [drm] Initialized nouveau 1.0.0 20120316 for 0000:02:00.0 on minor 0
[    9.889016] [drm] nouveau 0000:02:00.0: PGRAPH - DATA_ERROR INVALID_VALUE
[    9.889024] [drm] nouveau 0000:02:00.0: PGRAPH - DATA_ERROR
[    9.889031] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 7 class 0x8697 mthd 0x16b0 data 0x00000000
[   11.878128] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - Unknown fault at address 00413b0000
[   11.878134] [drm] nouveau 0000:02:00.0: PGRAPH_TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000000, e20: 00000011, e24: 0c330000
[   11.878138] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
[   11.878144] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x060c data 0x00000300
[   11.878152] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x00413b0000 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
[   11.925181] [drm] nouveau 0000:02:00.0: magic set 0:
[   11.925189] [drm] nouveau 0000:02:00.0: 	0x00408604: 0x2008ca0f
[   11.925192] [drm] nouveau 0000:02:00.0: 	0x00408608: 0x00413b00
[   11.925195] [drm] nouveau 0000:02:00.0: 	0x0040860c: 0x80000e00
[   11.925197] [drm] nouveau 0000:02:00.0: 	0x00408610: 0x3b000003
[   11.925200] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP_TEXTURE - TP0: Unhandled ustatus 0x00000003
[   11.925203] [drm] nouveau 0000:02:00.0: PGRAPH - TRAP
[   11.925209] [drm] nouveau 0000:02:00.0: PGRAPH - ch 2 (0x0000c60000) subc 2 class 0x502d mthd 0x08dc data 0x00000000
[   11.925218] [drm] nouveau 0000:02:00.0: VM: trapped write at 0x00413ce000 on ch 2 [0x00000c60] PGRAPH/PROP/DST2D reason: VRAM_LIMIT
Comment 5 Rolf Offermanns 2012-08-16 05:42:25 EDT
I see similar problems (garbled screen after resume, no mouse pointer) with all 3.5.x kernels in F17.

Sony Vaio 
01:00.0 VGA compatible controller: nVidia Corporation GF106 [GeForce GT 555M SDDR3] (rev a1)

No problems with 3.4.6-2.fc17.x86_64.
Comment 6 Virtual Sound 2012-08-16 08:07:56 EDT
I have the same problem.

Intel i7 2600, nVidia GeForce 570 GTX.

No problems with kernel 3.4.xxxxx
Comment 7 Jurgen Kramer 2012-08-24 13:55:51 EDT
Not fixed with kernel 3.5.2-3. It even got worse, with 3.5.2-3 I got several hangs. But these were cause by the broadcom wireless driver.

I would be nice if this bug actually got picked up.
Comment 8 Virtual Sound 2012-08-25 11:40:06 EDT
The bug also occurs with the 3.5.2-3 kernel.
Comment 9 Colin.Simpson 2012-09-10 09:01:57 EDT
I have this on my home machine and it's really annoying. It has a
GeForce 8300 GS video card.

Now my work machine doesn't have this issue, with a Quadro FX 580. 
Both using nouveau.

I wonder though is this related to the video driver at all. People with ATI cards seem to be seeing this at as well on the 3.5 series and not the 3.4 series. Sounds identical. See https://bugzilla.redhat.com/show_bug.cgi?id=846505 

Anyone know how we can debug this?
Comment 10 Jurgen Kramer 2012-10-03 11:17:20 EDT
Just tried Fedora 18 Live Desktop Beta TC1 (x86_64) on my MacBookAir3,1 and nouveau is still very much broken. 

Kernel 3.4.6-2 is still the latest functioning kernel.

Attached dmesg from 3.6.0-1 kernel from live DVD.
Comment 11 Jurgen Kramer 2012-10-03 11:18:27 EDT
Created attachment 620991 [details]
dmesg output from 3.6.0-1 (Fedora 18 Beta TC1 Desktop Live)

dmesg output from 3.6.0-1 (Fedora 18 Beta TC1 Desktop Live)
Comment 12 Colin.Simpson 2012-10-03 11:20:42 EDT
I haven't had a chance to test it yet (not sure if it's moved from testing yet) but 3.5.4-2.fc17 fixes the ATI issue (which sounds identical) does it fix on nouveau too?
Comment 13 Josh Boyer 2012-10-03 11:30:34 EDT
(In reply to comment #12)
> I haven't had a chance to test it yet (not sure if it's moved from testing
> yet) but 3.5.4-2.fc17 fixes the ATI issue (which sounds identical) does it
> fix on nouveau too?

I doubt it.  We added radeon specific patches in 3.5.4-2.
Comment 14 Colin.Simpson 2012-10-07 08:13:40 EDT
Sadly you are right 3.5.4-2.fc17 is just as bad for graphics corruption, I'm back at 3.4.6-2 again.
Comment 15 Jurgen Kramer 2012-11-30 13:47:04 EST
I just tested with Fedora 18 beta to see the corruption problems would be gone. Unfortunately not, the screen is still a big mess and dmesg shows the same messages.

After rebooting to OSX and back into F18 a got a normal workable desktop.
My guess is that there is a problem with nouveau not initialising stuff correctly.

How can we get this forward? 
Kernel 3.4.6 is still the only kernel with normal working nouveau support.
Comment 16 Colin.Simpson 2012-11-30 13:54:41 EST
Yup, I'd also like to know how we can provide debug to help resolve this. 

I have this on a machine with a "GeForce 8300 GS" but it doesn't occur on a 
"Quadro FX 580". So must be quite a specific issue for certain cards.
Comment 17 Jurgen Kramer 2012-11-30 14:06:09 EST
Created attachment 655200 [details]
dmesg output from 3.6.7-5 (Fedora 18 Beta) - with nouveau problems
Comment 18 Jurgen Kramer 2012-11-30 14:06:47 EST
Created attachment 655201 [details]
dmesg output from 3.6.7-5 (Fedora 18 Beta) - without problems
Comment 19 Fred Welland 2013-01-28 09:58:19 EST
Me too.   But it is transient.   I can logout login (cause X restart) and sometimes it will be fine until next reboot.   

Fedora 18 
3.7.2-204.fc18.x86_64 #1 SMP Wed Jan 16 16:22:52 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


I get a series of this in dmesg:

[  168.231372] nouveau E[  PGRAPH][0000:02:00.0] TRAP ch 1 [0x001fcf8000]
[  168.231378] nouveau E[  PGRAPH][0000:02:00.0] SHADER 0xa0040a00
[  168.231408] nouveau E[  PGRAPH][0000:02:00.0] TRAP ch 1 [0x001fcf8000]
[  168.231414] nouveau E[  PGRAPH][0000:02:00.0] SHADER 0xa0040a00
[  168.234109] nouveau E[  PGRAPH][0000:02:00.0] TRAP ch 1 [0x001fcf8000]
[  168.234115] nouveau E[  PGRAPH][0000:02:00.0] SHADER 0xa0040a0c
[  168.234196] nouveau E[  PGRAPH][0000:02:00.0] TRAP ch 1 [0x001fcf8000]
[  168.234202] nouveau E[  PGRAPH][0000:02:00.0] SHADER 0xa0040a00
[  168.234234] nouveau E[  PGRAPH][0000:02:00.0] TRAP ch 1 [0x001fcf8000]


Note I do have 2 nVidia Cards (one is dormant with no xorg conf -- why is it so hard hard to get a 3headed shell workstation?), lspci ouput: 

0:00.0 Host bridge: Intel Corporation 5520/5500/X58 I/O Hub to ESI Port (rev 22)
00:01.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 1 (rev 22)
00:03.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 3 (rev 22)
00:07.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 7 (rev 22)
00:14.0 PIC: Intel Corporation 7500/5520/5500/X58 I/O Hub System Management Registers (rev 22)
00:14.1 PIC: Intel Corporation 7500/5520/5500/X58 I/O Hub GPIO and Scratch Pad Registers (rev 22)
00:14.2 PIC: Intel Corporation 7500/5520/5500/X58 I/O Hub Control Status and RAS Registers (rev 22)
00:1a.0 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4
00:1a.1 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5
00:1a.2 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6
00:1a.7 USB controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2
00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 1
00:1c.5 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 6
00:1d.0 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1
00:1d.1 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2
00:1d.2 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3
00:1d.7 USB controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
00:1f.2 RAID bus controller: Intel Corporation 82801 SATA Controller [RAID mode]
00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
02:00.0 VGA compatible controller: NVIDIA Corporation GF108GL [Quadro 600] (rev a1)
02:00.1 Audio device: NVIDIA Corporation GF108 High Definition Audio Controller (rev a1)
03:00.0 VGA compatible controller: NVIDIA Corporation NV37GL [Quadro PCI-E Series] (rev a2)
05:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5761 Gigabit Ethernet PCIe (rev 10)
3f:00.0 Host bridge: Intel Corporation Xeon 5500/Core i7 QuickPath Architecture Generic Non-Core Registers (rev 05)
3f:00.1 Host bridge: Intel Corporation Xeon 5500/Core i7 QuickPath Architecture System Address Decoder (rev 05)
3f:02.0 Host bridge: Intel Corporation Xeon 5500/Core i7 QPI Link 0 (rev 05)
3f:02.1 Host bridge: Intel Corporation Xeon 5500/Core i7 QPI Physical 0 (rev 05)
3f:03.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller (rev 05)
3f:03.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Target Address Decoder (rev 05)
3f:03.4 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Test Registers (rev 05)
3f:04.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Control Registers (rev 05)
3f:04.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Address Registers (rev 05)
3f:04.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Rank Registers (rev 05)
3f:04.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Thermal Control Registers (rev 05)
3f:05.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Control Registers (rev 05)
3f:05.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Address Registers (rev 05)
3f:05.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Rank Registers (rev 05)
3f:05.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Thermal Control Registers (rev 05)
3f:06.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Control Registers (rev 05)
3f:06.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Address Registers (rev 05)
3f:06.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Rank Registers (rev 05)
3f:06.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Thermal Control Registers (rev 05)
Comment 20 Noel Duffy 2013-02-02 19:17:35 EST
I have this problem on kernel 3.7.4-204.fc18.x86_64, 
xorg-x11-server-Xorg-1.13.1-4.fc18.x86_64, and xorg-x11-drv-nouveau-1.0.6-1.fc18.x86_64. This is a laptop with a single video card, an nVidia Geforce G102M. 

This laptop was running Fedora 16 a few weeks back when X began to crash sporadically. I upgraded to 17 using a live CD, but the problem continued. That bug was 850963, https://bugzilla.redhat.com/show_bug.cgi?id=850963. 

Using fedup I upgraded to Fedora 18. The crashes have stopped, but even so, occasionally the whole X ui will freeze for about three seconds. The following gets written to the /var/log/messages:

Feb  3 13:00:08 pariah kernel: [79614.011634] nouveau E[  PGRAPH][0000:02:00.0] TRAP_TPDMA_2D - TP 0 - Unknown fault at address 0042af8000
Feb  3 13:00:08 pariah kernel: [79614.011641] nouveau E[  PGRAPH][0000:02:00.0] TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000282, e20: 00000011, e24: 0c030000
Feb  3 13:00:08 pariah kernel: [79614.011644] nouveau  [  PGRAPH][0000:02:00.0]  TRAP
Feb  3 13:00:08 pariah kernel: [79614.011649] nouveau E[  PGRAPH][0000:02:00.0] ch 2 [0x001fb45000] subc 2 class 0x502d mthd 0x08dc data 0x0000005f
Feb  3 13:00:08 pariah kernel: [79614.011659] nouveau E[     PFB][0000:02:00.0] trapped write at 0x0042af8000 on channel 0x0001fb45 PGRAPH/PROP/DST2D reason: PAGE_NOT_PRESENT
Feb  3 13:00:08 pariah kernel: [79614.011988] nouveau E[  PGRAPH][0000:02:00.0] magic set 0:
Feb  3 13:00:08 pariah kernel: [79614.011990] nouveau E[  PGRAPH][0000:02:00.0] 	0x00408604: 0x2009020a
Feb  3 13:00:08 pariah kernel: [79614.011993] nouveau E[  PGRAPH][0000:02:00.0] 	0x00408608: 0x0042c48e
Feb  3 13:00:08 pariah kernel: [79614.011997] nouveau E[  PGRAPH][0000:02:00.0] 	0x0040860c: 0x80000432
Feb  3 13:00:08 pariah kernel: [79614.011999] nouveau E[  PGRAPH][0000:02:00.0] 	0x00408610: 0xad000000
Feb  3 13:00:08 pariah kernel: [79614.012002] nouveau  [  PGRAPH][0000:02:00.0] TRAP_TEXTURE - TP0: Unhandled ustatus 0x00000003
Feb  3 13:00:08 pariah kernel: [79614.012004] nouveau  [  PGRAPH][0000:02:00.0]  TRAP
Feb  3 13:00:08 pariah kernel: [79614.012008] nouveau E[  PGRAPH][0000:02:00.0] ch 2 [0x001fb45000] subc 2 class 0x502d mthd 0x08dc data 0x00000000
Feb  3 13:00:08 pariah kernel: [79614.012015] nouveau E[     PFB][0000:02:00.0] trapped write at 0x0042b23f00 on channel 0x0001fb45 PGRAPH/PROP/DST2D reason: PAGE_NOT_PRESENT

The ui will then resume. If I have top running when the error occurs, it will show the kernel migration thread as the top CPU using process for about another second or two, then it drops back down again.

This behaviour was present in 16 and 17 and usually presaged a crash like that in bug 850963.
Comment 21 Noel Duffy 2013-02-02 19:18:16 EST
I have this problem on kernel 3.7.4-204.fc18.x86_64, 
xorg-x11-server-Xorg-1.13.1-4.fc18.x86_64, and xorg-x11-drv-nouveau-1.0.6-1.fc18.x86_64. This is a laptop with a single video card, an nVidia Geforce G102M. 

This laptop was running Fedora 16 a few weeks back when X began to crash sporadically. I upgraded to 17 using a live CD, but the problem continued. That bug was 850963, https://bugzilla.redhat.com/show_bug.cgi?id=850963. 

Using fedup I upgraded to Fedora 18. The crashes have stopped, but even so, occasionally the whole X ui will freeze for about three seconds. The following gets written to the /var/log/messages:

Feb  3 13:00:08 pariah kernel: [79614.011634] nouveau E[  PGRAPH][0000:02:00.0] TRAP_TPDMA_2D - TP 0 - Unknown fault at address 0042af8000
Feb  3 13:00:08 pariah kernel: [79614.011641] nouveau E[  PGRAPH][0000:02:00.0] TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000282, e20: 00000011, e24: 0c030000
Feb  3 13:00:08 pariah kernel: [79614.011644] nouveau  [  PGRAPH][0000:02:00.0]  TRAP
Feb  3 13:00:08 pariah kernel: [79614.011649] nouveau E[  PGRAPH][0000:02:00.0] ch 2 [0x001fb45000] subc 2 class 0x502d mthd 0x08dc data 0x0000005f
Feb  3 13:00:08 pariah kernel: [79614.011659] nouveau E[     PFB][0000:02:00.0] trapped write at 0x0042af8000 on channel 0x0001fb45 PGRAPH/PROP/DST2D reason: PAGE_NOT_PRESENT
Feb  3 13:00:08 pariah kernel: [79614.011988] nouveau E[  PGRAPH][0000:02:00.0] magic set 0:
Feb  3 13:00:08 pariah kernel: [79614.011990] nouveau E[  PGRAPH][0000:02:00.0] 	0x00408604: 0x2009020a
Feb  3 13:00:08 pariah kernel: [79614.011993] nouveau E[  PGRAPH][0000:02:00.0] 	0x00408608: 0x0042c48e
Feb  3 13:00:08 pariah kernel: [79614.011997] nouveau E[  PGRAPH][0000:02:00.0] 	0x0040860c: 0x80000432
Feb  3 13:00:08 pariah kernel: [79614.011999] nouveau E[  PGRAPH][0000:02:00.0] 	0x00408610: 0xad000000
Feb  3 13:00:08 pariah kernel: [79614.012002] nouveau  [  PGRAPH][0000:02:00.0] TRAP_TEXTURE - TP0: Unhandled ustatus 0x00000003
Feb  3 13:00:08 pariah kernel: [79614.012004] nouveau  [  PGRAPH][0000:02:00.0]  TRAP
Feb  3 13:00:08 pariah kernel: [79614.012008] nouveau E[  PGRAPH][0000:02:00.0] ch 2 [0x001fb45000] subc 2 class 0x502d mthd 0x08dc data 0x00000000
Feb  3 13:00:08 pariah kernel: [79614.012015] nouveau E[     PFB][0000:02:00.0] trapped write at 0x0042b23f00 on channel 0x0001fb45 PGRAPH/PROP/DST2D reason: PAGE_NOT_PRESENT

The ui will then resume. If I have top running when the error occurs, it will show the kernel migration thread as the top CPU using process for about another second or two, then it drops back down again.

This behaviour was present in 16 and 17 and usually presaged a crash like that in bug 850963.
Comment 22 Fred Welland 2013-02-15 08:29:56 EST
Me again.   

More info if it helps.   Still happening on 3.7.6-201.fc18.x86_64

And I can consistently reproduce this way:   

1) use my F18 all day long just fine.   
2) logout
3) turn off my monitors and go home (leave machine powered up). 
4) come in the next day 
5) power on monitors and login
6) run something -- usually evolution but sometime ffx or anything really
5) BOOM sever screen corruption inside the evo window (or other window) -- rest of the desktop is fine.    Any/All new windows/programs I run will have the corruption. 
6) Logout (gnome-shell logout stuff and menu in upper right is OK)
7) At GDM login do ctl-alt-f2 to go to a different virtual console. 
8) login as root
9) telinit 3
10) telinit 5 
11) logot of root
12) back to ctl-alt-f1
13) login in as my normal user
14) Everything is fine until the next day (and process starts again). 

I do think that if I logout/login during the day; where my machine has not be idle for long periods of time -- I don't have this problem. 

I also noticed just rebooting doesn't help -- the telinit 3; telinit 5 always corrects the problem. 


(I also can't always see the mouse pointer on the GDM screen). 

AND FWIW -- maybe the nVidia driver doesn't have this issue.   However, I use XRDP heavily for remote access to this machine and when I used the nVidia driver (under f17); xrdp and gnome-shell via rdp/c had issues.   But same system with nouveau was fine when used via rdp/rdc???
Comment 23 Fred Welland 2013-02-27 07:22:26 EST
More info:   

Still happens.   After updates on 2/26/2013

3.7.9-201.fc18.x86_64
gdm-3.6.2-5.fc18.x86_64
mutter-3.6.3-1.fc18.x86_64
xorg-x11-server-Xorg-1.13.2-4.fc18.x86_64
xorg-x11-drv-nouveau-1.0.6-1.fc18.x86_64

Also, I removed the second nvidia card (NVIDIA Corporation NV37GL [Quadro PCI-E Series] -- wasn't active anyway) to see if that would help and only have one ( NVIDIA Corporation GF108GL [Quadro 600] (rev a1)).   Didn't help.
Comment 24 John Anderson 2013-03-04 21:56:27 EST
I can confirm this is happening to me:

3.7.9-205.fc18.x86_64


xorg-x11-drv-nouveau  1.0.6-1.fc18
xorg-x11-server-Xorg  1.13.2-4.fc18
Comment 25 John Anderson 2013-03-04 21:57:13 EST
I'm an NVIDIA Corporation GF108 [Quadro NVS 5400M]
Comment 26 Rolf Offermanns 2013-03-05 04:32:47 EST
Ben, does it make sense to report every new version? Can we expect this problem to be solved at all? Do you need more (or other) information? What else can we do?
Comment 27 Rolf Offermanns 2013-03-11 14:16:53 EDT
This is from 3.9.0rc1:
[ 2341.643449] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 4 [0x003fab8000 kwin[5315]]
[ 2341.643459] nouveau E[  PGRAPH][0000:01:00.0] SHADER 0xa2040a4e
[ 2341.643487] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 4 [0x003fab8000 kwin[5315]]
[ 2341.643498] nouveau E[  PGRAPH][0000:01:00.0] SHADER 0xa2040a4e
[ 2341.691867] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 4 [0x003fab8000 kwin[5315]]
[ 2341.691884] nouveau E[  PGRAPH][0000:01:00.0] SHADER 0xa2040800
[ 2341.691935] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 4 [0x003fab8000 kwin[5315]]
[ 2341.691946] nouveau E[  PGRAPH][0000:01:00.0] SHADER 0xa2040a4e
[ 2341.691974] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 4 [0x003fab8000 kwin[5315]]
[ 2341.691990] nouveau E[  PGRAPH][0000:01:00.0] SHADER 0xa2040a4e
[ 2341.712973] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 1 [0x003fe10000 X[4995]]
[ 2341.712983] nouveau E[  PGRAPH][0000:01:00.0] SHADER 0xa0040a4e
[ 2341.716355] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 1 [0x003fe10000 X[4995]]
[ 2341.716364] nouveau E[  PGRAPH][0000:01:00.0] SHADER 0xa0040a4e
[ 2341.738936] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000001: 0x00000004
[ 2342.064427] nouveau W[   PFIFO][0000:01:00.0] INTR 0x00000001: 0x00000004

Restarting the X server resolves the problem until the next suspend/resume.
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 540M] (rev a1)
Comment 28 Robert Peterson 2013-03-19 10:11:55 EDT
I'm getting hundreds of the same errors as comment #27, but I am
NOT using suspend or resume. Fonts do not render properly. I tried
power down, up: no love. I tried runlevel 3 ; sleep 5 ; init 5
Same thing. I've tried different kernels. Same problem. Hell, I
even tried completely replacing my 16GB of memory dimms thinking
it might be bad memory, but still no luck. I will need to go back
to F17 if this isn't resolved soon. Suggestions?
Comment 29 Fred Welland 2013-03-19 15:19:34 EDT
Is your desktop background green?   

I kid you not -- I first started seeing this problem when I switched from the default f18 vertical blue lines background to the green textured one. 

I switched back on monday, after a few weeks -- It hasn't happened since then. 

Even after last week's updates, I would get it every AM and it would take 1-3 tries of: 

telinit 3; sleep 3; telinit 5; 

before I could use my system again. 

Further (with green background set and after recent updates) last week it would happen after about 6 hours of work right in the middle of something...

Since the switch back to blue background -- no problems...

Maybe I should try a different color background?  

(only partially serious about this -- but I am getting frustrated)

----
3 3.8.3-201.fc18.x86_64
xorg-x11-server-Xorg-1.13.3-1.fc18.x86_64
xorg-x11-drv-nouveau-1.0.6-1.fc18.x86_64
Comment 30 Robert Peterson 2013-03-19 15:30:36 EDT
My desktop background is a custom graphic (photo). I have not
tried a solid color, but that's a thought.

I cannot be without a functioning desktop, so I put my old
Fedora 17 hard drive back in, and it's working flawlessly.
So it's definitely not the hardware.

Ben: Since I'm a Red Hat developer, I can theoretically let you
ssh into my box over the vpn to debug this, while I talk to
you through my laptop. (You and I have done this before).
If you want to try that, let me know, because I'll have to put
the F18 hard drive back in first. Since you're in AU and I'm
in US, I can arrange to do this during your work hours.
Comment 31 Robert Peterson 2013-03-19 15:33:27 EDT
I might also add that my working F17 hard disk and F18 hard drive
are essentially the same thing: I duplicated the F17 hard drive
and then ran "fedup" to upgrade the duplicate to F18. No errors.
So same hardware, same applications, same background, same settings,
same home, same /etc/, and so forth.
Comment 32 Fred Welland 2013-03-19 17:39:20 EDT
hehe...spoke too soon......

So after about 36 hrs of optimistic behavior with the blue bar background....artifacts are starting to appear on screen.   Only this time they are minor and I can probably muscle thru the last 10 mins of my day...
Comment 33 Christian Kujau 2013-12-03 17:17:57 EST
I too experience this from time to time, but it's not reproducible so far. Yesterday this MacBookPro ("MacBookPro5,5", from 2009, running F20, 3.11.10-300.fc20.x86_64) woke up from S2R at 14:32 and then worked just fine until 19:12, where my screen was displaying weird artifacts.

Everything was still working, but it was really hard to continue work b/c of these artifacts. At first I thought it was just a temporary redraw issue, so I moved some windows around to have the screen been redrawn, but this did not help.

Syslog captured the following when it started:

------
 nouveau E[   PFIFO][0000:02:00.0] DMA_PUSHER - ch 2 [X[803]] get 0x0020023fb8 put 0x002002527c ib_get 0x00000010 ib_put 0x00000011 state 0x8000ee0c (err: INVALID_CMD) push 0x00400040
 nouveau E[  PGRAPH][0000:02:00.0]  ILLEGAL_MTHD
 nouveau E[  PGRAPH][0000:02:00.0] ch 2 [0x000fb45000 X[803]] subc 0 class 0x5039 mthd 0x017c data 0x0004e680
 nouveau E[   PFIFO][0000:02:00.0] CACHE_ERROR - ch 2 [X[803]] subc 0 mthd 0x0180 data 0x000300e7
 nouveau E[   PFIFO][0000:02:00.0] CACHE_ERROR - ch 2 [X[803]] subc 0 mthd 0x0184 data 0x0004f5e0
 nouveau E[   PFIFO][0000:02:00.0] CACHE_ERROR - ch 2 [X[803]] subc 0 mthd 0x018c data 0x0008ee04
 nouveau E[   PFIFO][0000:02:00.0] CACHE_ERROR - ch 2 [X[803]] subc 0 mthd 0x0190 data 0x00e700e2
 nouveau E[   PFIFO][0000:02:00.0] CACHE_ERROR - ch 2 [X[803]] subc 0 mthd 0x0194 data 0x000c0005
 nouveau E[   PFIFO][0000:02:00.0] CACHE_ERROR - ch 2 [X[803]] subc 0 mthd 0x0198 data 0x0004f5dc
 nouveau E[  PGRAPH][0000:02:00.0] TRAP_M2MF OUT
 nouveau E[  PGRAPH][0000:02:00.0] TRAP_M2MF 00340141 406dcf80 00000000 05000432
 nouveau E[  PGRAPH][0000:02:00.0]  TRAP
 nouveau E[  PGRAPH][0000:02:00.0] ch 2 [0x000fb45000 X[803]] subc 0 class 0x5039 mthd 0x023c data 0x00000000
 nouveau E[     PFB][0000:02:00.0] trapped write at 0x00406dc800 on channel 0x0000fb45 [X[803]] PGRAPH/DISPATCH/M2M_OUT reason: DMAOBJ_LIMIT
------

This continued for a while and I had to reboot to make it stop. Maybe a restart of X11 would have been sufficient as well.
Comment 34 Christian Kujau 2013-12-03 17:21:22 EST
Created attachment 832312 [details]
dmesg from MacBookPro5,5, running 3.11.10-300.fc20.x86_64
Comment 35 Christian Kujau 2013-12-03 17:22:36 EST
Created attachment 832313 [details]
/var/log/messages from MacBookPro5,5, running 3.11.10-300.fc20.x86_64
Comment 36 Christian Kujau 2013-12-03 17:26:29 EST
Created attachment 832314 [details]
dmesg from MacBookPro5,5, running 3.11.10-300.fc20.x86_64
Comment 37 Fedora End Of Life 2013-12-21 03:40:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 38 Christian Kujau 2013-12-24 21:46:35 EST
See my comment 33, this still happens with Fedora 20 sometimes. Or is this a different issue?
Comment 39 Fedora End Of Life 2014-02-05 07:03:02 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.